contactsUpdate a contact if found. To call this, you need to have edit contact right of 090300.

Update a contact if found. To call this, you need to have edit contact right of 090300.

curl -X PATCH "https://api.example.com/restapi/v1/contacts/123" \
  -H "Content-Type: application/json"
[
  {
    "id": 123,
    "contactType": "example_string",
    "salutation": "mr",
    "title": "example_string",
    "firstName": "John Doe",
    "lastName": "John Doe",
    "company": "example_string",
    "companyId": 123,
    "email": "user@example.com",
    "website": "example_string",
    "contactCategoriesId": [
      123
    ],
    "defaultAddress": [
      {
        "id": 123,
        "addressType": 42,
        "parentContact": "example_string",
        "parentContactId": 123,
        "isDefault": true,
        "position": "example_string",
        "department": "example_string",
        "street": "example_string",
        "houseNumber": "example_string",
        "addition": "example_string",
        "zip": "example_string",
        "city": "New York",
        "state": "example_string",
        "country": "USA",
        "emails": [
          {
            "id": 123,
            "email": "user@example.com"
          }
        ],
        "phones": [
          {
            "id": 123,
            "type": "example_string",
            "countryCode": "USA",
            "areaCode": "example_string",
            "number": "example_string"
          }
        ]
      }
    ],
    "defaultPhone": {
      "id": 123,
      "type": "example_string",
      "countryCode": "USA",
      "areaCode": "example_string",
      "number": "example_string"
    },
    "defaultFax": {
      "id": 123,
      "type": "example_string",
      "countryCode": "USA",
      "areaCode": "example_string",
      "number": "example_string"
    },
    "defaultMobile": {
      "id": 123,
      "type": "example_string",
      "countryCode": "USA",
      "areaCode": "example_string",
      "number": "example_string"
    },
    "allAddress": [
      {
        "id": 123,
        "addressType": 42,
        "parentContact": "example_string",
        "parentContactId": 123,
        "isDefault": true,
        "position": "example_string",
        "department": "example_string",
        "street": "example_string",
        "houseNumber": "example_string",
        "addition": "example_string",
        "zip": "example_string",
        "city": "New York",
        "state": "example_string",
        "country": "USA",
        "emails": [
          {
            "id": 123,
            "email": "user@example.com"
          }
        ],
        "phones": [
          {
            "id": 123,
            "type": "example_string",
            "countryCode": "USA",
            "areaCode": "example_string",
            "number": "example_string"
          }
        ]
      }
    ],
    "invoiceAddress": [
      {
        "id": 123,
        "addressType": 42,
        "parentContact": "example_string",
        "parentContactId": 123,
        "isDefault": true,
        "position": "example_string",
        "department": "example_string",
        "street": "example_string",
        "houseNumber": "example_string",
        "addition": "example_string",
        "zip": "example_string",
        "city": "New York",
        "state": "example_string",
        "country": "USA",
        "emails": [
          {
            "id": 123,
            "email": "user@example.com"
          }
        ],
        "phones": [
          {
            "id": 123,
            "type": "example_string",
            "countryCode": "USA",
            "areaCode": "example_string",
            "number": "example_string"
          }
        ]
      }
    ],
    "invoiceSendAddress": [
      {
        "id": 123,
        "addressType": 42,
        "parentContact": "example_string",
        "parentContactId": 123,
        "isDefault": true,
        "position": "example_string",
        "department": "example_string",
        "street": "example_string",
        "houseNumber": "example_string",
        "addition": "example_string",
        "zip": "example_string",
        "city": "New York",
        "state": "example_string",
        "country": "USA",
        "emails": [
          {
            "id": 123,
            "email": "user@example.com"
          }
        ],
        "phones": [
          {
            "id": 123,
            "type": "example_string",
            "countryCode": "USA",
            "areaCode": "example_string",
            "number": "example_string"
          }
        ]
      }
    ],
    "extNewsletter": [
      [
        {
          "cmain_id": 123,
          "ext_type": "example_string",
          "ext_id": "example_string",
          "is_active": 42,
          "ext_opt_in": 42,
          "ext_opt_in_executed": 42
        }
      ]
    ]
  }
]
PATCH
/contacts/{contactId}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

path
contactIdinteger
Required

ID of contact that have to be update

Content-Typestring
Required

The media type of the request body

Options: application/json
No request body parameters defined
Request Preview
Response

Response will appear here after sending the request

Path Parameters

contactIdinteger
Required

ID of contact that have to be update

Body

application/json
datastring
Required

Raw application/json data

Responses

idinteger
contactTypestring
salutationstring
Allowed values:mrms
titlestring
firstNamestring
lastNamestring
companystring
companyIdinteger
emailstring
websitestring
contactCategoriesIdinteger[]
defaultAddressarray
defaultPhoneobject
defaultFaxobject
defaultMobileobject
allAddressarray
invoiceAddressarray
invoiceSendAddressarray
extNewsletterarray[]